﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Sj110.Com.Chinese;

namespace 中文分词测试程序
{
	public partial class FormTokenizerSample : Form
	{
		public FormTokenizerSample()
		{
			InitializeComponent();
		}

		private void linkLabelCopyright_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
		{
			System.Diagnostics.Process.Start("IEXPLORE.EXE", "\"http://www.sj110.com\"");
		}

		private void buttonTokenize_Click(object sender, EventArgs e)
		{
			DateTime startTime = DateTime.Now;
			if (this.textBoxInputString.Text.Trim().Length == 0) return;
			List<string> resultList = Tokenizer.Tokenize(this.textBoxInputString.Text);
			TimeSpan duration = DateTime.Now - startTime;

			StringBuilder sb = new StringBuilder();
			foreach (string result in resultList)
			{
				sb.AppendFormat("{0} / ", result);
			}
			if(sb.Length > 0)
				sb.Remove(sb.Length - 3, 3);

			this.textBoxResult.Text = sb.ToString();
			this.labelTokenizeTimeValue.Text = duration.ToString();
		}
	}
}